%global gem_name cucumber-core
Name:                rubygem-%{gem_name}
Version:             10.1.0
Release:             1
Summary:             Core library for the Cucumber BDD app
License:             MIT
URL:                 https://cucumber.io
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel ruby rubygem-cucumber-gherkin rubygem(rspec)
BuildRequires:       rubygem(kramdown) rubygem-cucumber-tag-expressions rubygem(backports)
BuildRequires:       rubygem(kramdown-parser-gfm) rubygem(cucumber-messages)
BuildArch:           noarch
%description
Core library for the Cucumber BDD app.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%gemspec_remove_dep -g cucumber-messages "~> 17.1", ">= 17.1.1"
%gemspec_add_dep -g cucumber-messages ">= 17.0"

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
for file in $(grep -Rl unindent spec); do
  sed -i "/require 'unindent'/ s/^/#/" "${file}"
  sed -i '/^ *expect.*unindent$/ i \pending' "${file}"
done
LANG=C.UTF-8 rspec -rkramdown/parser/gfm spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/spec

%changelog
* Mon Jan 9 2023 liyanan <liyanan32@h-partners.com> - 10.1.0-1
- Update to 10.1.0

* Tue Mar 1 2022 baizhonggui <baizhonggui@huawei.com> -3.2.0-3
- Remove unintended private call for fixing build error

* Tue Dec 15 2020 chengzihan <chengzihan2@huawei.com> -3.2.0-2
- add BuildRequires: rubygem(kramdown-parser-gfm) fix compiling problem

* Wed Aug 19 2020 fanjiachen <fanjiachen3@huawei.com> - 3.2.0-1
- package init
